#ifndef StatusDisplayUMD_INCLUDED
	#define StatusDisplayUMD_INCLUDED

#include <bncs_script_helper.h>

#ifdef WIN32
	#ifdef DOEXPORT_SCRIPT
		#define EXPORT_SCRIPT __declspec(dllexport) 
	#else
		#define EXPORT_SCRIPT 
	#endif
#else 
	#define EXPORT_SCRIPT
#endif
 
class StatusDisplayUMD : public bncs_script_helper
{
public:
	StatusDisplayUMD( bncs_client_callback * parent, const char* path );
	virtual ~StatusDisplayUMD();

	void buttonCallback( buttonNotify *b );
	int revertiveCallback( revertiveNotify * r );
	void databaseCallback( revertiveNotify * r );
	bncs_string parentCallback( parentNotify *p );
	void timerCallback( int );
	
private:
	bncs_string m_myParam;
	bncs_string m_instance;
	
};


#endif // StatusDisplayUMD_INCLUDED